html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    min-height: 100vh;
    width: 100%;
    /*background-image: url("../public/img/fundo.png");*/
    background: linear-gradient(180deg, #3999EF, #FFFFFF);
    padding-right: 0 !important;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.avatar-user {
    height:25px;
    margin: auto 5px auto 5px;
    border-radius: 50%;
    float: right;
}

#name_user {
    display:inline;
}

.topnav {
    background-color: #3999EF;
}

.sidebar {
    background: linear-gradient(180deg, #3999EF, #71C05B, #71C05B, #71C05B);
}

.conteudo-registros {
    background-color: #FFFFFF;
    margin-top: auto;
}

.registros {
    bottom:0px;
    background-color: #FFFFFF;
}

.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.formatarTooltip{
    padding: 5px;
    margin: 5px;
    font-size: 20px;
    color: black;
    background-color: aliceblue;
}

.formatarTooltipValor{
    padding: 2px;
    margin: 5px;
    font-size: 18px;
    font-weight: bold;
}

@media screen and (max-width: 870px) {
    .conteudo-registros {
        margin-top: auto;
    }
    #name_user {
        display:none;
    }
}

.img-galery {
    border: 1px solid #000;
    border-radius: 4px;
    padding: 5px;
    height: 80px;
    background-color: #dddddd;
}
  
.img-galery :hover {
    box-shadow: 0 0 2px 1px rgba(0, 140, 186, 0.5);
}

input[type=text],input[type=password],input[type=date],input[type=datetime-local],input[type=number],input[type=button] {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin: 5px 0 5px 0;
}

select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 5px;
    margin-bottom: 5px;
    resize: vertical;
}

input[type=submit] {
    background-color: #04AA6D;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: #45a049;
}

.row {
    margin-right: 0px;
    margin-left: 0px;
}

/* Style the counter cards */
.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    padding: 16px;
    text-align: center;
    background-color: #f1f1f1;
}

.container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
}

.content-title {
    background-color: #f2f2f2;
    text-align:center;
}

.content-table {
    background-color: #f2f2f2;
}

.content-pagination {
    /*position:fixed;
    bottom:0px;
    height: 10vh;*/
    width: 100%;
    margin: 5px 0;
    background-color: #f2f2f2;
}


/*sticky*/
.sticky {
    position: -webkit-sticky;
    position: sticky;
    max-height: 25vh;
    top: 0;
}

.button, .button:focus {
    background-color: #71c05b;
    border: none;
    color: white;
    padding: 10px 15px;
    margin: 5px;
    /*float: right;*/
    transition: .1s ease-out;
}

.button-disabled {
    background-color: #575757;
    border: none;
    color: rgb(0, 0, 0);
    padding: 10px 15px;
    margin: 5px;
    transition: .1s ease-out;
}

.button-close-modal {
    background-color: #71c05b;
    padding: 2px 5px;
    border: none;
    border-radius: 50%;
    color: white;
    transition: .1s ease-out;
}

/*.button:hover {
    border: none;
    border-color: #46ac17;
    background-color: #46ac17;
    color: #FFFFFF;
}*/

/*tabela*/
table {
    margin: 0 0;
    padding: 0px 5px;
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #ddd;
}

.head-table{
    background-color: rgb(255, 255, 255);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-height: 20px;
    z-index: 100;
    /*top: 15px;*/
} 

/*@media screen and (max-width: 870px) {
    .head-table {
        top: 5px;
    }
}*/

th, td {
    min-width: 0px;
    text-align: left;
    padding: 8px;
					 
}

tr:nth-child(even) {
    background-color: #dddddd;
}

.button-table-html {
    min-width: 40px;
    margin: 5px;
    color: white;
    background: gray;
    border-radius: 5px;
    padding: 10px;
    transition: .1s ease-out;
}
  
.button-default:hover {
    background: blue;
    color: white;
}

.button-danger:hover {
    background: red;
    color: white;
}
.button-success:hover {
    background: green;
    color: white;
}

/*.img-client-menu{
    margin: 5px;
    height: 40px;
}*/

.img-footer-inopi {
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: 999;
}

.img-footer-inopi img {
    margin: 10px;
    height: 30px;
}

/* Style the counter cards */
.card-dash {
    box-shadow: 0px 0px 10px 2px #0000005e, inset 0 0 10px 1px #000;
    padding: 16px;
    margin: 16px;
    border-radius:1em;
    text-align: center;
    background: linear-gradient(180deg, #3999EF, #3999EF);/*linear-gradient(180deg, #3999EF, #71C05B);*/
    color: white;
    border: 2px solid #ffffff;
  }
  
.fa-card-dash {font-size:50px;}

/*Loading*/
.div-loading {
    left: 50%;
    top: 50%;
    position: absolute;
    margin-left: -30px;
    margin-top: -30px;
    font-size: 10%;
    font-family: Verdana;
    z-index: 200;
}

.loader {
	border: 6px solid #f3f3f3;
	border-radius: 100%;
    border-top: 6px solid #3999EF;
    border-right: 6px solid #71C05B;
    border-bottom: 6px solid #E86934;
	width: 50px;height: 50px;
	-webkit-animation: spin 1.4s infinite;
	animation: spin 1.4s infinite;
}


.loaderField {
    position: absolute;
    height: 32px;
    width: 32px;
    display: inline-block;
    border: 5px solid #f3f3f3;
    border-radius: 100%;
    border-top: 6px solid #3999EF;
    border-right: 6px solid #71C05B;
    border-bottom: 6px solid #E86934;
    box-sizing: border-box;
    top: 0px;
    right: 2px;
    -webkit-animation: spin 1.4s infinite;
    animation: spin 0.7s infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/*Loading 2*/
.loader-square {
  display: inline-block;
  width: 50px;
  height: 50px;
  position: relative;
  border: 4px solid #009338;
  top: 50%;
  animation: loader-square 2s infinite ease;
}

.loader-square-inner {
  vertical-align: top;
  display: inline-block;
  width: 100%;
  background-image: url("../../img/logo.png");
  background-repeat: no-repeat;
  background-size: 100% 100%;
  -webkit-background-size: 100% 100%; /*  Safari  */
  -khtml-background-size: 100% 100%; /*  Konqueror  */
  -moz-background-size: 100% 100%; /*  Firefox  */
  animation: loader-square-inner 2s infinite ease-in;
}

@keyframes loader-square {
  0% {
    transform: rotate(0deg);
  }
  
  25% {
    transform: rotate(180deg);
  }
  
  50% {
    transform: rotate(180deg);
  }
  
  75% {
    transform: rotate(360deg);
  }
  
  100% {
    transform: rotate(360deg);
  }
}

@keyframes loader-square-inner {
  0% {
    height: 0%;
  }
  
  25% {
    height: 0%;
  }
  
  50% {
    height: 100%;
  }
  
  75% {
    height: 100%;
  }
  
  100% {
    height: 0%;
  }
}

/*Loading  3*/
.loader-square-2 {
    display: inline-block;
    border: 0px solid #FFF;
    background-image: url("../img/logo.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    -webkit-background-size: 100% 100%; /*  Safari  */
    -khtml-background-size: 100% 100%; /*  Konqueror  */
    -moz-background-size: 100% 100%; /*  Firefox  */
    width: 50px;
    height: 50px;
    animation: anm-SL-38-spin 2s infinite;
}
@keyframes anm-SL-38-spin {
    0% {
        transform: rotate(0deg);
    }
    60% {
        transform: rotateX(180deg) rotateY(0deg) rotateZ(180deg)
    }
    80% {
        transform: rotateY(180deg)
    }
    100% {
        transform: rotateX(0deg)
    }
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 2px; 
    border-radius: 10px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
    -webkit-transition: all 0.4s ease;
    transition: all 0.4s ease; 
    background: #808080;/*linear-gradient(135deg, #720033, #720033); */
    border-radius: 10px;
    /*box-shadow: 0 0 5px 4px #000000;*/
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    /*box-shadow: 0 0 10em #444444;*/
}